### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-search-form/ecl-search-form.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `ControlValueAccessor`

### Metadata

providers | `ECL_SEARCH_FORM_VALUE_ACCESSOR`
selector | `ecl-search-form`
templateUrl | `ecl-search-form.component.html`

### Index

###### Properties

- Public fg
- role

###### Methods

- onEnterKeyDown
- onSearchClick
- registerOnChange
- registerOnTouched
- writeValue
- getCssClasses

###### Inputs

- formControlName
- placeholder
- searchButtonIcon
- searchButtonLabel
- searchInputText
- class
- e2eAttr

###### Outputs

- search

###### HostBindings

- attr.role
- class

###### HostListeners

- keydown.enter

###### Accessors

- cssClasses

### Constructor

`constructor(fb: FormBuilder)`

Parameters :

Name | Type | Optional
fb | `FormBuilder` | No

### Inputs

formControlName
Type : `string`

placeholder
Type : `string`

searchButtonIcon
Type : `string`
Default value : `'search'`

searchButtonLabel
Type : `string`

searchInputText
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

search
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'search'`

class
Type : `any`

### HostListeners

keydown.enter
Arguments : `'$event'`
`keydown.enter(evt: Event)`

### Methods

onEnterKeyDown
`onEnterKeyDown(evt: Event)`
Decorators : `@HostListener('keydown.enter', ['$event'])`

Parameters :

Name | Type | Optional
evt | `Event` | No

Returns : `void`

onSearchClick
`onSearchClick(evt: Event)`

Parameters :

Name | Type | Optional
evt | `Event` | No

Returns : `void`

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

writeValue
`writeValue(value: any)`

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

Public fg
Type : `FormGroup`

role
Type : `string`
Default value : `'search'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""